package backup.client;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * Configuration class implementing <code>Serializable</code> for writing to
 * file.
 * 
 * @author <a href="mailto:mauset@idi.ntnu.no">Tore Mauset</a>
 */
public class Config implements Serializable {
    private static final long serialVersionUID = -3594491352132439555L;
    public ArrayList<String> targets;
    public ArrayList<String> ignores;
    public String host;
    public int port;
    public String hostname;
    public String user;
    public String password;
    public Boolean autoBackup;
    public String autoBackupTime;
    public Boolean autoLogin;
    public String rdiffCommand;

    /**
     * Constructs a new config with default values.
     */
    public Config() {
        user = "";
        password = "";
        host = "";
        port = 9798;
        hostname = "";
        autoBackup = false;
        autoBackupTime = "12:00";
        autoLogin = false;
        rdiffCommand = "rdiff-backup";

        targets = new ArrayList<String>();
        ignores = new ArrayList<String>();
    }
}
